Subject: Re: bug#14567: Scrolling of large images

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jun 2013 19:13:15 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Jun 2013 13:35:03 +0200
> 
> > Horizontal scrolling works just fine for me without any changes, when
> > I visit an image file (which automatically puts the buffer into
> > image-mode).  If this is the use case you were talking about, then our
> > observations don't match.
> 
> They don't match, it is not working for me.

Fascinating.  Do you perhaps turn on image-mode manually?  What I did
was visit an image file with "C-x C-f".

> > The challenge is to support that in other modes.
> 
> I understood this, but it should be fixed first in image-mode (which is trivial).

I don't see how image-mode is related to the issue at hand.  We want
horizontal scrolling in any mode that displays an embedded image.